# Company Intent

Returns intent data about the specified company.

It's also possible to specify what fields from the API should be returned. By default, only some fields are returned.

Endpoint: POST /data-api/v1/company/intent
Security: authorization

## Security:

  - `authorization` (unknown)
    http bearer

## Request body:

  - `application/json` (unknown)
    Company Intent Request

## Request fields (application/json):

  - `fields` (array)
    A list of data points to be returned in the API response.
    Example: ["topic_id","topic_name","url","signal_strength","signal_trend","location_strength","buyers_journey_name","context_name_array","state_name","country_name","region_name","datestamp"]

  - `filters` (object, required)
    Example: {"company_id":"1698C53EBC888758570396E0334965C1","topic_ids":["243E8A9405E4B25CBCDB2D0DC14ED608","243F7993B10E4519E189D18FCF58388C","24435A2522405B507389E2CB4784C4DD"]}

  - `filters.company_id` (any, required)
    A unique hexadecimal identifier for the desired field.
    Example: 1698C53EBC888758570396E0334965C1

  - `filters.topic_ids` (array)

  - `limit` (integer)
    The number of records to return in the request.

  - `offset` (integer)
    Used for paginating records.

  - `sorts` (array)

  - `sorts.direction` (string, required)
    Sort direction
    Enum: "ASC", "DESC"

  - `sorts.field` (string, required)
    Enum: "topic_id", "signal_strength", "datestamp"

## Response 200:

  - `200` (unknown)
    Company Intent Response

## Response 200 fields (application/json):

  - `count` (integer)

  - `data` (array)

  - `data.buyers_journey_name` (string)

  - `data.context_name_array` (array)

  - `data.country_name` (string)

  - `data.datestamp` (string)

  - `data.location_strength` (integer)

  - `data.region_name` (string)

  - `data.signal_strength` (integer)

  - `data.signal_trend` (number)

  - `data.state_name` (string)

  - `data.topic_id` (string)

  - `data.topic_name` (string)

  - `data.url` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.detail` (string, required)
    Example: The token provided is not valid

  - `errors.source` (string)

  - `errors.title` (string, required)
    Example: Unauthorized

## Response 422:

  - `422` (unknown)
    Unprocessable Entity

## Response 422 fields (application/json):

  - `errors` (array, required)

  - `errors.detail` (string, required)
    Example: null value where string expected

  - `errors.source` (object, required)

  - `errors.source.pointer` (string, required)
    Example: /data/attributes/petName

  - `errors.title` (string, required)
    Example: Invalid value

